# $Revision: 1.17 $, $Date: 2004/08/28 11:59:08 $

# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define	pdir	Crypt
%define	pnam	OpenPGP
Summary:	Crypt::OpenPGP Perl module - pure Perl implementation of the OpenPGP standard
Summary(pl):	Modu Perla Crypt::OpenPGP - czysto perlowa implementacja standardu OpenPGP
Name:		perl-Crypt-OpenPGP
Version:	1.03
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	020141cf2a3c22b50373fc5aeb7914d2
BuildRequires:	perl-Crypt-DSA
BuildRequires:	perl-Crypt-RSA
BuildRequires:	perl-Data-Buffer >= 0.04
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Math-Pari
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-Crypt-Blowfish
BuildRequires:	perl-Crypt-CAST5_PP
BuildRequires:	perl-Crypt-DES_EDE3
BuildRequires:	perl-Crypt-IDEA
BuildRequires:	perl-Crypt-RIPEMD160
BuildRequires:	perl-Crypt-Rijndael
BuildRequires:	perl-Crypt-Twofish >= 2.00
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-MIME-Base64
%endif
Requires:	perl-Data-Buffer >= 0.04
Requires:	perl-Term-ReadKey
Conflicts:	perl-Crypt-Twofish < 2.00
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is Crypt::OpenPGP. It provides a pure-Perl implementation of the
OpenPGP standard, including support for all versions of PGP and GnuPG.
It needs at least one simmetric cipher Perl module (Crypt::DES_EDE3
for 3DES, Crypt::CAST5_PP for CAST5, Crypt::IDEA for IDEA,
Crypt::Blowfish for Blowfish, Crypt::Twofish >= 2.00 for Twofish or
Crypt;:Rijndael for Rijndael) and at least one digest Perl module
(Digest::MD5 for MD5, Digest::SHA1 for SHA1 or Crypt::RIPEMD160 for
RIPE-MD/160).

%description -l pl
To jest modu Crypt::OpenPGP. Jest on czysto perlow implementacj
standardu OpenPGP, wraz ze wsparciem dla wszystkich wersji PGP i
GnuPG. Wymaga co najmniej jednego moduu Perla z implementacj szyfru
symetrycznego (Crypt::DES_EDE3 dla 3DES, Crypt::CAST5_PP dla CAST5,
Crypt::IDEA dla szyfru IDEA, Crypt::Blowfish dla szyfru Blowfish,
Crypt::Twofish >= 2.00 dla szyfru Twofish albo Crypt::Rijndale dla
szyfru Rijndael) oraz co najmniej jednego moduu z implementacj
funkcji skrtu (Digest::MD5 dla MD5, Digest::SHA1 dla SHA1 albo
Crypt::RIPEMD160 dla RIPE-MD/160).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README ToDo
%{perl_vendorlib}/Crypt/OpenPGP.pm
%{perl_vendorlib}/Crypt/OpenPGP
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-OpenPGP.spec,v $
Revision 1.17  2004/08/28 11:59:08  radek
- release 4

Revision 1.16  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.15  2004/05/07 01:09:18  ankry
- rel. 3

Revision 1.14  2004/05/06 18:09:25  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/19 20:14:25  ankry
- license fixes and unification

Revision 1.12  2003/10/29 19:38:42  migo
- bconded some BRs
- new bcond style

Revision 1.11  2003/08/18 08:08:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 18:46:31  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:37:43  radek
- use the __perl macro

Revision 1.5  2003/02/20 23:30:25  ankry
- updated to 1.03
- now it unconditionally requires many perl-Crypt-* packages at build

Revision 1.4  2003/02/18 15:29:15  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/10/18 01:24:55  ankry
- updated to 1.02, rel. 1

Revision 1.2  2002/08/03 22:35:20  ankry
- added patch disabling CPAN autodownload
- BRs required only by tests replaced by Requires
- release 2

Revision 1.1  2002/08/02 23:13:15  qboosh
- new
